package com.gingersoft.gsa.cloud.constans;

import com.gingersoft.gsa.cloud.function.FModule;

public class FunctionManagerConstants {

    public static class takeaway{

        public static final String CONFIRM_BTN_KEY = "takeaway/orderDetails/btn/confirmOrder";
        public static final String PRODUCTION_COMPLETED_BTN_KEY = "takeaway/orderDetails/btn/ProductionCompleted";
        public static final String CANCEL_ORDER_BTN_KEY = "takeaway/orderDetails/btn/cancelOrder";
        public static final String PRINT_ORDER_BTN_KEY = "takeaway/orderDetails/btn/printOrder";
        public static final String LOGISTICS_BTN_KEY = "takeaway/orderDetails/btn/logistics";
        public static final String ASSIGNDELIVERY_BTN_KEY = "takeaway/orderDetails/btn/assignDelivery";
        public static final String CLOSING_BTN_KEY = "takeaway/orderDetails/btn/closing";
        public static final String TRANSPORTATION_BTN_KEY = "takeaway/orderDetails/btn/transportation";
        public static final String ADDITIONALSERVICECHARGE_BTN_KEY = "takeaway/orderDetails/btn/additionalServiceCharge";

        /** 外送/自取- 訂單詳情管理 */
        public static final FModule[] orderDetails = {
                new FModule(CONFIRM_BTN_KEY,  0, 0),
                new FModule(PRODUCTION_COMPLETED_BTN_KEY,  0, 0),
                new FModule(CANCEL_ORDER_BTN_KEY,  0, 0),
                new FModule(PRINT_ORDER_BTN_KEY,  0, 0),
                new FModule(LOGISTICS_BTN_KEY,  0, 0),
                new FModule(ASSIGNDELIVERY_BTN_KEY,  0, 0),
                new FModule(CLOSING_BTN_KEY,  0, 0),
                new FModule(TRANSPORTATION_BTN_KEY,  0, 0),
                new FModule(ADDITIONALSERVICECHARGE_BTN_KEY,  0, 0)
        };
    }


}
